[Snort-users] OpenBSD 4.9 and Snort 2.9.0.5 - libsf_engine.so Missing

Randal T. Rioux randy at ...13561...
Sun Jul 3 02:38:12 EDT 2011


I've written the list before about this for 4.7 and 2.9.0.1 - never got
it working without commenting the dynamicengine line in snort.conf.

configure string:

./configure --enable-ppm --enable-zlib --enable-perfprofiling
--enable-pthread --enable-dynamicplugin
--with-libpcap-includes=/usr/local/include
--with-libpcap-libraries=/usr/local/lib
--with-daq-includes=/usr/local/include --with-daq-libraries=/usr/local/lib

Relevant snort.conf entry:

# path to base preprocessor engine
dynamicengine /usr/local/lib/snort_dynamicengine/libsf_engine.so

...and this would be because there are only the .a and .la files there.

On another note, I'm also getting these obnoxious errors now, and I
don't know what I changed to cause it!:

Unknown Stream5 global option (preprocessor stream5_tcp: xxany of themxx)

Help? :-)

Thanks!
Randy

PS What's with the snortusers at ...14071... vs.
snort-users at lists.sourceforge.net? Will messages to either go into the
same bin? I don't use Google Groups.




More information about the Snort-users mailing list